Subject: Re: linux-next: vfs tree build warning

From: Jörn Engel <[email-masked]>
Date: Mon, 18 Jan 2010 15:34:15 +0100

On Mon, 18 January 2010 13:11:28 +1100, Stephen Rothwell wrote:
> 
> Today's linux-next build (x86_64_allmodconfig) produced this warning:
> 
> fs/logfs/inode.c:399: warning: initialization from incompatible pointer type
> 
> Introduced by commit bc39e28236344af617473df80abb7de43176511e ("pass
> writeback_control to ->write_inode") from the vfs tree interacting with
> commit 5db53f3e80dee2d9dff5e534f9e9fe1db17c9936 ("[LogFS] add new flash
> file system") from the logfs tree.
> 
> This will need a fixup patch (see below) which I can carry in the
> linux-next tree.  There may, of course, be a better fix (which I can
> carry if someone sends it to me).

Looks good enough for me for now.  Next week, after returning from
vacation, I'll have a closer look and update the logfs tree.

Thank you, Stephen!

Jörn

-- 
Joern's library part 7:
http://www.usenix.org/publications/library/proceedings/neworl/full_papers/mckusick.a